// VaxVoIP.h: interface for the CVaxVoIP class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VAXVOIP_H__017BA040_906C_45E4_B6E6_F86A3960ADA4__INCLUDED_)
#define AFX_VAXVOIP_H__017BA040_906C_45E4_B6E6_F86A3960ADA4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VaxSIPUserAgentLib/VaxSIPUserAgentLib.h"

class CVCSampleDlg;

class CVaxVoIP : public CVaxSIPUserAgentLib  
{
public:
	CVaxVoIP();
	~CVaxVoIP();

public:
	
	CVCSampleDlg* m_pVCSampleDlg;
	
	void ErrorMessage();

public:

	void OnTryingToRegister();
	void OnFailToRegister();
	void OnSuccessToRegister();
	
	void OnTryingToReRegister();
	void OnFailToReRegister();
	void OnSuccessToReRegister();

	void OnTryingToUnRegister();
	void OnFailToUnRegister();
	void OnSuccessToUnRegister();
	
	void OnConnecting(int nLineNo);
	void OnSuccessToConnect(int nLineNo, LPCTSTR sToRTPIP, UINT nToRTPPort);
	void OnFailToConnect(int nLineNo);
	
	void OnDisconnectCall(int nLineNo);
	void OnCallTransferAccepted(int nLineNo);
	void OnPlayWaveDone(int nLineNo);
	void OnDTMFDigit(int nLineNo, LPCTSTR sDigit);
	void OnMsgNOTIFY(LPCTSTR sMsg);

	void OnIncomingCall(LPCTSTR sCallId, LPCTSTR sDisplayName, LPCTSTR sUserName, LPCTSTR sFromURI, LPCTSTR sToURI);
	void OnIncomingCallRingingStart(LPCTSTR sCallId);
	void OnIncomingCallRingingStop(LPCTSTR sCallId);
		
	void OnProvisionalResponse(int nLineNo, int nStatusCode, LPCTSTR sReasonPhrase);
	void OnRedirectionResponse(int nLineNo, int nStatusCode, LPCTSTR sReasonPhrase, LPCTSTR sContact);
	void OnRequestFailureResponse(int nLineNo, int nStatusCode, LPCTSTR sReasonPhrase);
	void OnServerFailureResponse(int nLineNo, int nStatusCode, LPCTSTR sReasonPhrase);
	void OnGeneralFailureResponse(int nLineNo, int nStatusCode, LPCTSTR sReasonPhrase);

	void OnIncomingDiagnostic(LPCTSTR sMsgSIP, LPCTSTR sFromIP, UINT nFromPort);
	void OnOutgoingDiagnostic(LPCTSTR sMsgSIP, LPCTSTR sToIP, UINT nToPort);

};

#endif // !defined(AFX_VAXVOIP_H__017BA040_906C_45E4_B6E6_F86A3960ADA4__INCLUDED_)
